SearchArgumentImpl.PredicateLeafImpl (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.io.sarg

## Class SearchArgumentImpl.PredicateLeafImpl

- java.lang.Object
- - org.apache.hadoop.hive.ql.io.sarg.SearchArgumentImpl.PredicateLeafImpl

- All Implemented Interfaces:
    PredicateLeaf
  Enclosing class:
    SearchArgumentImpl

      public static final class SearchArgumentImpl.PredicateLeafImpl
      extends Object
      implements PredicateLeaf

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.hive.ql.io.sarg.PredicateLeaf

      `PredicateLeaf.Operator, PredicateLeaf.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredicateLeafImpl(PredicateLeaf.Operator operator, PredicateLeaf.Type type, String columnName, Object literal, List<Object> literalList)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `String` | `getColumnName()` Get the simple column name.
    `Object` | `getLiteral()` Get the literal half of the predicate leaf.
    `List<Object>` | `getLiteralList()` For operators with multiple literals (IN and BETWEEN), get the literals.
    `PredicateLeaf.Operator` | `getOperator()` Get the operator for the leaf.
    `PredicateLeaf.Type` | `getType()` Get the type of the column and literal by the file format.
    `int` | `hashCode()`
    `static void` | `setColumnName(PredicateLeaf leaf, String newName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PredicateLeafImpl

          public PredicateLeafImpl(PredicateLeaf.Operator operator,
                                   PredicateLeaf.Type type,
                                   String columnName,
                                   Object literal,
                                   List<Object> literalList)

  - ### Method Detail

    - #### getOperator

          public PredicateLeaf.Operator getOperator()

      Description copied from interface: `PredicateLeaf`
      Get the operator for the leaf.
      Specified by:
        `getOperator` in interface `PredicateLeaf`

    - #### getType

          public PredicateLeaf.Type getType()

      Description copied from interface: `PredicateLeaf`
      Get the type of the column and literal by the file format.
      Specified by:
        `getType` in interface `PredicateLeaf`

    - #### getColumnName

          public String getColumnName()

      Description copied from interface: `PredicateLeaf`
      Get the simple column name.
      Specified by:
        `getColumnName` in interface `PredicateLeaf`
      Returns:
        the column name

    - #### getLiteral

          public Object getLiteral()

      Description copied from interface: `PredicateLeaf`
      Get the literal half of the predicate leaf. Adapt the original type for what orc needs
      Specified by:
        `getLiteral` in interface `PredicateLeaf`
      Returns:
        an Integer, Long, Double, or String

    - #### getLiteralList

          public List<Object> getLiteralList()

      Description copied from interface: `PredicateLeaf`
      For operators with multiple literals (IN and BETWEEN), get the literals.
      Specified by:
        `getLiteralList` in interface `PredicateLeaf`
      Returns:
        the list of literals (Integer, Longs, Doubles, or Strings)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### setColumnName

          public static void setColumnName(PredicateLeaf leaf,
                                           String newName)

Copyright © 2016 The Apache Software Foundation. All rights reserved.